Upstream information

CVE-2019-3688 at MITRE

Description

The /usr/sbin/pinger binary packaged with squid in SUSE Linux Enterprise Server 15 before and including version 4.8-5.8.1 and in SUSE Linux Enterprise Server 12 before and including 3.5.21-26.17.1 had squid:root, 0750 permissions. This allowed an attacker that compromissed the squid user to gain persistence by changing the binary

SUSE information

Overall state of this security issue: Running

This issue is currently rated as having moderate severity.

CVSS v2 Scores
  National Vulnerability Database
Base Score 6.6
Vector AV:L/AC:L/Au:N/C:N/I:C/A:C
Access Vector Local
Access Complexity Low
Authentication None
Confidentiality Impact None
Integrity Impact Complete
Availability Impact Complete
CVSS v3 Scores
  National Vulnerability Database SUSE
Base Score 7.1 5.1
Vector CVSS:3.1/AV:L/AC:L/PR:L/UI:N/S:U/C:N/I:H/A:H CVSS:3.0/AV:L/AC:L/PR:N/UI:N/S:U/C:N/I:L/A:L
Access Vector Local Local
Access Complexity Low Low
Privileges Required Low None
User Interaction None None
Scope Unchanged Unchanged
Confidentiality Impact None None
Integrity Impact High Low
Availability Impact High Low
CVSSv3 Version 3.1 3
SUSE Bugzilla entries: 1093414 [CONFIRMED], 1149108 [RESOLVED / DUPLICATE]

SUSE Security Advisories:

List of released packages

Product(s) Fixed package version(s) References
Container caasp/v4/busybox:1.26.2
Container caasp/v4/cert-exporter:2.3.0
Container caasp/v4/cilium-etcd-operator:2.0.5
Container caasp/v4/cilium-init:1.5.3
Container caasp/v4/cilium-operator:1.6.6
Container caasp/v4/cilium:1.6.6
Container caasp/v4/coredns:1.6.5
Container caasp/v4/curl:7.60.0
Container caasp/v4/etcd:3.4.3
Container caasp/v4/helm-tiller:2.16.1
Container caasp/v4/hyperkube:v1.17.4
Container caasp/v4/k8s-sidecar:0.1.75
Container caasp/v4/kube-state-metrics:1.9.3
Container caasp/v4/kubernetes-client:1.17.4
Container caasp/v4/kured:1.3.0
Container caasp/v4/metrics-server:0.3.6
Container caasp/v4/prometheus-pushgateway:0.6.0
Container caasp/v4/velero-plugin-for-aws:1.0.1
Container caasp/v4/velero-plugin-for-gcp:1.0.1
Container caasp/v4/velero-plugin-for-microsoft-azure:1.0.1
Container caasp/v4/velero-restic-restore-helper:1.3.1
Container caasp/v4/velero:1.3.1
Container suse/sle15:15.1
Image SLES15-SP1-CHOST-BYOS-Ali
Image SLES15-SP1-CHOST-BYOS-Azure
Image SLES15-SP1-CHOST-BYOS-EC2
Image SLES15-SP1-CHOST-BYOS-GCE
Image SLES15-SP1-CHOST-BYOS-OpenStack
Image caasp-389-ds-image
Image caasp-busybox-image
Image caasp-caasp-dex-image
Image caasp-cert-exporter-image
Image caasp-cilium-etcd-operator-image
Image caasp-cilium-image
Image caasp-cilium-init-image
Image caasp-cilium-operator-image
Image caasp-cloud-provider-openstack-image
Image caasp-configmap-reload-image
Image caasp-coredns-image
Image caasp-curl-image
Image caasp-etcd-image
Image caasp-gangway-image
Image caasp-grafana-image
Image caasp-helm-tiller-image
Image caasp-hyperkube-image
Image caasp-k8s-sidecar-image
Image caasp-kube-state-metrics-image
Image caasp-kubernetes-client-image
Image caasp-kured-image
Image caasp-metrics-server-image
Image caasp-prometheus-alertmanager-image
Image caasp-prometheus-node-exporter-image
Image caasp-prometheus-pushgateway-image
Image caasp-prometheus-server-image
Image caasp-rsyslog-image
Image caasp-test-update-image
Image caasp-velero-image
Image caasp-velero-plugin-for-aws-image
Image caasp-velero-plugin-for-gcp-image
Image caasp-velero-plugin-for-microsoft-azure-image
Image caasp-velero-restic-restore-helper-image
  • permissions >= 20181116-9.12.1
Container suse/sle15:15.0
Image SLES15-EC2-CHOST-HVM-BYOS
  • permissions >= 20180125-3.21.1
Container suse/sles12sp4:latest
Container suse/sles12sp5:latest
  • permissions >= 20170707-3.14.1
HPE Helion Openstack 8
  • permissions >= 2015.09.28.1626-17.20.1
Patchnames:
HPE-Helion-OpenStack-8-2019-3180
SUSE CaaS Platform 3.0
  • permissions >= 2015.09.28.1626-17.20.1
Patchnames:
SUSE-CAASP-3.0-2019-3180
SUSE Enterprise Storage 5
  • permissions >= 2015.09.28.1626-17.20.1
Patchnames:
SUSE-Storage-5-2019-3180
SUSE Linux Enterprise Desktop 12 SP4
  • permissions >= 20170707-3.14.1
Patchnames:
SUSE-SLE-DESKTOP-12-SP4-2019-3183
SUSE Linux Enterprise High Performance Computing 15-ESPOS
SUSE Linux Enterprise High Performance Computing 15-LTSS
  • permissions >= 20180125-3.21.1
Patchnames:
SUSE-SLE-Product-HPC-15-2020-1163
SUSE Linux Enterprise Module for Basesystem 15 SP1
  • permissions >= 20181116-9.12.1
  • permissions-zypp-plugin >= 20181116-9.12.1
Patchnames:
SUSE-SLE-Module-Basesystem-15-SP1-2019-3181
SUSE Linux Enterprise Module for Basesystem 15
  • permissions >= 20180125-3.18.1
Patchnames:
SUSE-SLE-Module-Basesystem-15-2019-3182
SUSE Linux Enterprise Module for Server Applications 15 SP1
  • squid >= 4.9-5.11.1
Patchnames:
SUSE-SLE-Module-Server-Applications-15-SP1-2019-2975
SUSE Linux Enterprise Module for Server Applications 15
  • squid >= 4.9-5.11.1
Patchnames:
SUSE-SLE-Module-Server-Applications-15-2019-2975
SUSE Linux Enterprise Point of Sale 12 SP2-CLIENT
  • permissions >= 2015.09.28.1626-17.20.1
Patchnames:
SUSE-SLE-POS-12-SP2-CLIENT-2019-3180
SUSE Linux Enterprise Server 12 SP2-BCL
SUSE Linux Enterprise Server for SAP Applications 12 SP2-BCL
  • permissions >= 2015.09.28.1626-17.20.1
Patchnames:
SUSE-SLE-SERVER-12-SP2-BCL-2019-3180
SUSE Linux Enterprise Server 12 SP2-ESPOS
SUSE Linux Enterprise Server for SAP Applications 12 SP2-ESPOS
  • permissions >= 2015.09.28.1626-17.20.1
Patchnames:
SUSE-SLE-SERVER-12-SP2-ESPOS-2019-3180
SUSE Linux Enterprise Server 12 SP2-LTSS
SUSE Linux Enterprise Server for SAP Applications 12 SP2-LTSS
  • permissions >= 2015.09.28.1626-17.20.1
Patchnames:
SUSE-SLE-SERVER-12-SP2-2019-3180
SUSE Linux Enterprise Server 12 SP3-BCL
SUSE Linux Enterprise Server for SAP Applications 12 SP3-BCL
  • permissions >= 2015.09.28.1626-17.20.1
Patchnames:
SUSE-SLE-SERVER-12-SP3-BCL-2019-3180
SUSE Linux Enterprise Server 12 SP3-ESPOS
SUSE Linux Enterprise Server for SAP Applications 12 SP3-ESPOS
  • permissions >= 2015.09.28.1626-17.20.1
Patchnames:
SUSE-SLE-SERVER-12-SP3-ESPOS-2019-3180
SUSE Linux Enterprise Server 12 SP3-LTSS
SUSE Linux Enterprise Server for SAP Applications 12 SP3-LTSS
  • permissions >= 2015.09.28.1626-17.20.1
Patchnames:
SUSE-SLE-SERVER-12-SP3-2019-3180
SUSE Linux Enterprise Server 12 SP4
SUSE Linux Enterprise Server for SAP Applications 12 SP4
  • permissions >= 20170707-3.14.1
Patchnames:
SUSE-SLE-SERVER-12-SP4-2019-3183
SUSE Linux Enterprise Server 12 SP5
SUSE Linux Enterprise Server for SAP Applications 12 SP5
  • permissions >= 20170707-3.14.1
Patchnames:
SUSE-SLE-SERVER-12-SP5-2019-3183
SUSE Linux Enterprise Server 15-LTSS
  • permissions >= 20180125-3.21.1
Patchnames:
SUSE-SLE-Product-SLES-15-2020-1163
SUSE Linux Enterprise Server for SAP Applications 12 SP2
  • permissions >= 2015.09.28.1626-17.20.1
Patchnames:
SUSE-SLE-SAP-12-SP2-2019-3180
SUSE Linux Enterprise Server for SAP Applications 12 SP3
  • permissions >= 2015.09.28.1626-17.20.1
Patchnames:
SUSE-SLE-SAP-12-SP3-2019-3180
SUSE Linux Enterprise Server for SAP Applications 15
  • permissions >= 20180125-3.21.1
Patchnames:
SUSE-SLE-Product-SLES_SAP-15-2020-1163
SUSE OpenStack Cloud 7
  • permissions >= 2015.09.28.1626-17.20.1
Patchnames:
SUSE-OpenStack-Cloud-7-2019-3180
SUSE OpenStack Cloud 8
  • permissions >= 2015.09.28.1626-17.20.1
Patchnames:
SUSE-OpenStack-Cloud-8-2019-3180
SUSE OpenStack Cloud Crowbar 8
  • permissions >= 2015.09.28.1626-17.20.1
Patchnames:
SUSE-OpenStack-Cloud-Crowbar-8-2019-3180
openSUSE Leap 15.0
  • squid >= 4.9-lp150.13.1
  • squid-debuginfo >= 4.9-lp150.13.1
  • squid-debugsource >= 4.9-lp150.13.1
Patchnames:
openSUSE-2019-2540
openSUSE Leap 15.1
  • permissions >= 20181116-lp151.4.9.1
  • permissions-debuginfo >= 20181116-lp151.4.9.1
  • permissions-debugsource >= 20181116-lp151.4.9.1
  • permissions-zypp-plugin >= 20181116-lp151.4.9.1
  • squid >= 4.9-lp151.2.7.1
  • squid-debuginfo >= 4.9-lp151.2.7.1
  • squid-debugsource >= 4.9-lp151.2.7.1
Patchnames:
openSUSE-2019-2541
openSUSE-2019-2672


Status of this issue by product and package

Please note that this evaluation state might be work in progress, incomplete or outdated. Also information for service packs in the LTSS phase is only included for issues meeting the LTSS criteria. If in doubt, feel free to contact us for clarification.

Product(s) Source package State
SUSE Linux Enterprise High Performance Computing 12 squid Affected
SUSE Linux Enterprise Module for Server Applications 15 GA squid Released
SUSE Linux Enterprise Module for Server Applications 15 SP1 squid Released
SUSE Linux Enterprise Server 11 SP4 LTSS squid Not affected
SUSE Linux Enterprise Server 12 SP1 LTSS squid Unsupported
SUSE Linux Enterprise Server 12 SP2 LTSS squid Affected
SUSE Linux Enterprise Server 12 SP3 LTSS squid Affected
SUSE Linux Enterprise Server 12 SP4 squid Affected
SUSE Linux Enterprise Server for SAP Applications 12 SP2 squid Affected
SUSE Linux Enterprise Server for SAP Applications 12 SP3 squid Affected
SUSE Linux Enterprise Server for SAP Applications 12 SP4 squid Affected